View Issue Details

IDProjectCategoryView StatusLast Update
0034696LazarusWidgetsetpublic2019-01-28 15:30
ReporterCyril LAMY Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSOSX 
Product Version2.1 (SVN) 
Summary0034696: Cocoa : Tedit readonly propertie doesn't work
DescriptionIn lazarus 2.1.0r59806, running on OSX Mojave, when using a Tedit and set readonly propertie to true I am still able to write in the tedit field.
If I switch to QT5 Widgetset or Carbon, with the same program, the Tedit field is working fine in readonly mode, as expected.

Tried with lazarus 1.8.4 and 2.0.0RC2, the same issue occurs.
Steps To ReproducePut a tedit on a form, set readonly to true, use cocoa and run. You can modify the Tedit
TagsNo tags attached.
Fixed in Revision59919
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Cyril LAMY

2018-12-12 22:31

reporter   ~0112526

Last edited: 2018-12-12 22:33

View 2 revisions

In cocoawsstdctrls.pas, line 981 :

// NSTextField(ACustomEdit.Handle).setEditable(not NewReadOnly);

Uncommenting this line seems to fix the issue.
But doesn't know why this line is commented, maybe there is a good reason ...

Zeljan Rikalo

2018-12-13 08:26

developer   ~0112528

I've assigned this issue to Dimitry, he is cocoa maintainer atm, so I'm sure that he will look into and probably fix it before 2.0 release.

Dmitry Boyarintsev

2018-12-28 04:37

developer   ~0112934

please test and close if ok

Cyril LAMY

2019-01-01 19:38

reporter   ~0113067

Tested with r59970 and it's ok.
Thanks

Issue History

Date Modified Username Field Change
2018-12-12 22:08 Cyril LAMY New Issue
2018-12-12 22:31 Cyril LAMY Note Added: 0112526
2018-12-12 22:33 Cyril LAMY Note Edited: 0112526 View Revisions
2018-12-13 08:25 Zeljan Rikalo Assigned To => Dmitry Boyarintsev
2018-12-13 08:25 Zeljan Rikalo Status new => assigned
2018-12-13 08:26 Zeljan Rikalo Note Added: 0112528
2018-12-28 04:37 Dmitry Boyarintsev Fixed in Revision => 59919
2018-12-28 04:37 Dmitry Boyarintsev LazTarget => -
2018-12-28 04:37 Dmitry Boyarintsev Note Added: 0112934
2018-12-28 04:37 Dmitry Boyarintsev Status assigned => resolved
2018-12-28 04:37 Dmitry Boyarintsev Resolution open => fixed
2019-01-01 19:38 Cyril LAMY Note Added: 0113067
2019-01-28 15:30 Cyril LAMY Status resolved => closed